POST https://gate.reviopay.com/api/v1/company_statements/Description
With this request, you can schedule a statement generation for a company. In a response, you will get an object with the following structure. Main fields to look out for here are id, status and download_url.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
from | query | integer | no | Filter result set to only include values older or equal to the provided Unix timestamp |
to | query | integer | no | Filter result set to only include values younger than the provided Unix timestamp |
paid_from | query | integer | no | Filter paid result set to only include values older or equal to the provided Unix timestamp |
paid_to | query | integer | no | Filter paid result set to only include values younger than the provided Unix timestamp |
updated_from | query | integer | no | Filter result set to only include values older or equal to the provided last modification time Unix timestamp |
updated_to | query | integer | no | Filter result set to only include values younger than the provided last modification time Unix timestamp |
brand_id | query | string (uuid) | no | Filter result set to only include the specified brand UUID(s) |
shop_id | query | string (uuid) | no | Filter result set to only include the specified shop UUID(s) |
q | query | string (string) | no | Filter result set to only include results including a specified text (search over a ton of text fields) |
products | query | string (string) | no | Filter result set to only include results including a specified text in products |
total | query | string (float) | no | Filter result set to only include results with a total between min and max value. Must include 2 values, if any - (min, max). |
currency | query | string | no | Filter result set to only include specified currency(ies) |
payment_method | query | PaymentMethod | no | Filter result set to only include specified payment methods(s). See PaymentMethod fro more information. |
three_d_secure | query | string (bool) | no | Filter result set to only include results with a 3-D verification. |
country | query | string (ISO 3166-1 alpha-2) | no | Filter result set to only include specified client country(ies) in ISO 3166-1 alpha-2 format |
status | query | string (string) | no | Filter result set to only include results with a specific status. See Purchase and Payout for more information. |
product | query | TransactionProduct | no | Filter result set to only include specified products(s). See TransactionProduct fro more information. |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
id | string (uuid) | no | ID of a statement |
type | string | no | Statement request type |
format | string | no | Statement format, available formats: csv, xlsx. |
status | string | no | Status of statement generation e.g. pending, processing, success. |
is_test | boolean | no | Indicates this is a test object, created using test API keys or using Billing section of UI while in test mode. |
began_on | object | no | Date and time for the beginning of statement generation process. |
timezone | string (TZ database name) | no | Timezone to localize statement-specific timestamps |
created_on | object | no | Object creation time |
updated_on | object | no | Object last modification time |
company_uid | string (uuid) | no | ID of the Company. |
finished_on | object | no | Date and time for finishing the statement generation process. |
download_url | string | no | Download URL of a statement. |
query_string | string | no | Query parameters used to generate statement. |
Example
curl -X POST https://gate.reviopay.com/api/v1/company_statements/ \
-H 'Authorization: Bearer <YOUR_API_KEY>' \
-H 'Content-Type: application/json' \
-d '{
"format": "csv",
"timezone": "UTC"
}'Responses
| Status | Description |
|---|---|
201 | OK |
400 | Invalid data submitted or request processing error |